/// <reference types="react" />
import { IReactSpaceCommonProps } from 'react-spaces/dist/core-react';
import { SizeUnit } from 'react-spaces/dist/core-types';
export interface ViewPortProps extends IReactSpaceCommonProps {
    left?: SizeUnit;
    right?: SizeUnit;
    top?: SizeUnit;
    bottom?: SizeUnit;
}
interface DragContextProps {
    size?: {
        width: number;
        height: number;
    };
}
export declare const DragContext: import("react").Context<DragContextProps>;
declare const _default: {
    ViewPort: (props: ViewPortProps) => JSX.Element;
    LeftResizable: (props: import("./typings").LeftProps) => JSX.Element;
    Fill: import("react").FC<IReactSpaceCommonProps>;
    Left: import("react").FC<import("react-spaces").IAnchorProps>;
    RightResizable: (props: import("./typings").LeftProps) => JSX.Element;
    Right: import("react").FC<import("react-spaces").IAnchorProps>;
    TopResizable: (props: import("./typings").TopProps) => JSX.Element;
    Top: import("react").FC<import("react-spaces").IAnchorProps>;
    BottomResizable: (props: import("./typings").TopProps) => JSX.Element;
    Bottom: import("react").FC<import("react-spaces").IAnchorProps>;
    Layer: (props: import("./components/Layer/Layer").LayerDragProps) => JSX.Element;
};
export default _default;
